Page MenuHomePhabricator

[AMDGPU] Add gfx940 target
ClosedPublic

Authored by rampitec on Feb 28 2022, 2:42 PM.

Details

Summary

This is target definition only.

Diff Detail

Event Timeline

rampitec created this revision.Feb 28 2022, 2:42 PM
rampitec requested review of this revision.Feb 28 2022, 2:42 PM
Herald added a project: Restricted Project. · View Herald TranscriptFeb 28 2022, 2:42 PM
Herald added subscribers: MaskRay, wdng. · View Herald Transcript
rampitec updated this revision to Diff 411920.Feb 28 2022, 3:57 PM

Fixed clang-tidy warning.

foad added a comment.Mar 1 2022, 1:36 AM

Do you need to update any of:

  • openmp/libomptarget/DeviceRTL/CMakeLists.txt
  • llvm/test/CodeGen/AMDGPU/tid-code-object-v2-backwards-compatibility.ll (I guess code object v2 does not support gfx940?)
  • llvm/test/CodeGen/AMDGPU/directive-amdgcn-target.ll
  • llvm/test/tools/llvm-objdump/ELF/AMDGPU/subtarget.ll
llvm/docs/AMDGPUUsage.rst
379

Typo "xback"

rampitec updated this revision to Diff 412154.Mar 1 2022, 10:13 AM
rampitec marked an inline comment as done.

Addressed review comments.

kzhuravl accepted this revision.Mar 1 2022, 5:01 PM

LGTM, maybe give a day or so before merging this, so other folks have a chance to take a look

This revision is now accepted and ready to land.Mar 1 2022, 5:01 PM
Herald added a project: Restricted Project. · View Herald TranscriptMar 1 2022, 5:01 PM
This revision was landed with ongoing or failed builds.Mar 2 2022, 1:54 PM
This revision was automatically updated to reflect the committed changes.
Herald added projects: Restricted Project, Restricted Project. · View Herald TranscriptMar 2 2022, 1:54 PM